 
function getUniqueValArr(inputArr,outputArr,length)
{
	for(var i=0;i<length;i++)
	{
		var randNum=Math.floor(Math.random()*inputArr.length);
		if(outputArr.includes(inputArr[randNum]))
		{
			i--;
			continue;
		}
		else
		{
			outputArr.push(inputArr[randNum]);
			
			
		}
	
	}
}

//create div
function createDiv(p,classN,id,length)
{
	for(var i=0;i<length;i++)
	{
		var div=document.createElement('div');
		div.setAttribute("class",classN);
		div.setAttribute("id",id+(i+1));
		p.append(div);
	}
}

//shuffle and unique
function shuffle(array)
{
   var ctr = array.length, temp, index;

   while (ctr > 0)
   {
		index = Math.floor(Math.random() * length);
		ctr--;
		temp = array[ctr];
		array[ctr] = array[index];
		array[index] = temp;
   }
   return array;
}






















































































